// Indicateur de l'état de la charge  
const int RelaisON = 2;
const int RelaisOFF = 3;
int charge_etat=0;

// Relais de puissance  
const int RelaisPin = 10;

// Valeur acquise 
unsigned long Data_from_Matlab=0; 
const unsigned long Seuil_capt=2000; 

void setup()  
{
  // Init port série 
  Serial.begin(9600);
  
  // Init relais  
  pinMode(RelaisPin, OUTPUT);
  
  // Indicateur mise en marche/arrêt de la lampe 
  pinMode(RelaisON, OUTPUT);
  pinMode(RelaisOFF, OUTPUT);
  
  // Initialisation 
  digitalWrite(RelaisON, LOW);   
  digitalWrite(RelaisOFF, HIGH);                                        
  digitalWrite(RelaisPin, LOW); 
}

void loop()  
{
  // Lecture du port série 
  Data_from_Matlab=Serial.parseInt();
  
  // Lecture de la télécommande 
  if (Data_from_Matlab!=0)
  {
    // Commande de la charge 
    if (Data_from_Matlab>Seuil_capt) // Marche/Arrêt 
    {
      if (charge_etat==0)
      {
        // Allumé indicateur Arrêt 
        digitalWrite(RelaisOFF, HIGH); 
        digitalWrite(RelaisON, LOW); 

        // Mise en arrêt de la charge 
        digitalWrite(RelaisPin, LOW); 

        // Initialisation de l'état 
        charge_etat=1; 
      }
      else
      {
        // Allumé indicateur  marche  
        digitalWrite(RelaisOFF, LOW); 
        digitalWrite(RelaisON, HIGH); 

        // Mise en marche de la charge 
        digitalWrite(RelaisPin, HIGH); 

        // Initialisation de l'état 
        charge_etat=0; 
      }
    }
  }  
}
